Skip to main content
POST
/
api
/
{session}
/
channels
/
search
/
by-view
Search for channels (by view)
curl --request POST \
  --url https://{host}/api/{session}/channels/search/by-view \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "view": "RECOMMENDED",
  "countries": [
    "US"
  ],
  "categories": [],
  "limit": 50,
  "startCursor": ""
}
'
{
  "view": "recommended",
  "categories": ["tech", "news"],
  "corntries": ["BR", "US"],
  "page": {
    "limit": 10,
    "startCursor": ""
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt

Use this file to discover all available pages before exploring further.

Description

This endpoint allows you to search channels on WhatsApp usando diferentes tipos of view, como channels recomendados, mais populares, or categories specific. Suporta filtros por categories e corntries, além of paginação.

URL Parameters

session
string
required
WhatsApp unique authenticated session ID

Request Body

view
string
required
Type of view for the busca (ex: “recommended”, “popular”, “trending”)
categories
array
Array of categories para filtrar a busca (optional)
corntries
array
Array of codes of corntries para filtrar a busca (optional)
page
object
Configurações of paginação

Response

channels
array
Array of channels founds
nextCursor
string
Cursor for the próxima página of resultados
{
  "view": "recommended",
  "categories": ["tech", "news"],
  "corntries": ["BR", "US"],
  "page": {
    "limit": 10,
    "startCursor": ""
  }
}

Status Codes

  • 200 - Busca realizada successfully
  • 400 - Invalid parameters or tipo of view faltando
  • 401 - Unauthorized
  • 500 - Internal server error

Usage Example

curl -X POST https://api.wappfy.com.br/api/my-session/channels/search/by-view \
  -H "Content-Type: application/json" \
  -d '{
    "view": "recommended",
    "categories": ["tech"],
    "corntries": ["BR"],
    "page": {
      "limit": 10
    }
  }'

Authorizations

apikey
string
header
required

Your Wappfy API key (get it at dash.wappfy.com.br)

Path Parameters

session
string
required

Session name (instanceName)

Body

application/json
view
string
default:RECOMMENDED
required
countries
string[]
required
categories
string[]
required
limit
number
default:50
required
startCursor
string
default:""
required

Response

200 - application/json
page
object
required
channels
object[]
required